Update an incident
curl --request PUT \
--url https://api.devhelm.io/api/v1/status-pages/{id}/incidents/{incidentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"affectedComponents": [
{
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"postmortemBody": "<string>",
"postmortemUrl": "<string>"
}
'import requests
url = "https://api.devhelm.io/api/v1/status-pages/{id}/incidents/{incidentId}"
payload = {
"title": "<string>",
"affectedComponents": [{ "componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }],
"postmortemBody": "<string>",
"postmortemUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
affectedComponents: [{componentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
postmortemBody: '<string>',
postmortemUrl: '<string>'
})
};
fetch('https://api.devhelm.io/api/v1/status-pages/{id}/incidents/{incidentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"scheduled": true,
"autoResolve": true,
"startedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledUntil": "2023-11-07T05:31:56Z",
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"postmortemBody": "<string>",
"postmortemUrl": "<string>",
"affectedComponents": [
{
"statusPageComponentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentName": "<string>"
}
],
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"body": "<string>",
"notifySubscribers": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123
}
]
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Status Pages
Update an incident
PUT
/
api
/
v1
/
status-pages
/
{id}
/
incidents
/
{incidentId}
Update an incident
Authorizations
API key (dh_live_...) or Auth0 JWT token
Body
application/json
New title; null preserves current
Maximum string length:
500New status; null preserves current
Available options:
INVESTIGATING, IDENTIFIED, MONITORING, RESOLVED New impact level; null preserves current
Available options:
NONE, MINOR, MAJOR, CRITICAL Updated affected components; null preserves current
Show child attributes
Show child attributes
Postmortem body in markdown; empty string clears
URL to an external postmortem document; empty string clears
Maximum string length:
2048Pattern:
^https?://.*Response
OK
Show child attributes
Show child attributes
⌘I